Skip to main content
POST
/
v1
/
instant_payments
/
check_availability
Check instant payment availability
curl --request POST \
  --url https://api.sandbox.lead.bank/v1/instant_payments/check_availability \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "routing_number": "111000111"
}
'
{
  "available": true,
  "routing_number": "111000111"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
routing_number
string
required

The routing number of the financial institution where the creditor (payee) holds their account.

Required string length: 9
Pattern: ^[0-9]+$
Example:

"111000111"

Response

Availability check result.

Result of an instant payment availability check.

available
boolean
required

Whether the financial institution is available to receive instant payments.

Example:

true

routing_number
string
required

The routing number that was checked.

Required string length: 9
Example:

"111000111"